Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.client.model
Class ModelBiped

    java.lang.Object
      net.minecraft.client.model.ModelBase
          net.minecraft.client.model.ModelBiped

Direct Known Subclasses:
  ModelEnderman, ModelZombie, ModelZombieVillager

    public class ModelBiped

extends ModelBase

Field Summary
`boolean` | `aimedBow` Records whether the model should be rendered aiming a bow.
`ModelRenderer` | `bipedBody`
`ModelRenderer` | `bipedCloak`
`ModelRenderer` | `bipedEars`
`ModelRenderer` | `bipedHead`
`ModelRenderer` | `bipedHeadwear`
`ModelRenderer` | `bipedLeftArm`
`ModelRenderer` | `bipedLeftLeg`
`ModelRenderer` | `bipedRightArm`
`ModelRenderer` | `bipedRightLeg`
`int` | `heldItemLeft` Records whether the model should be rendered holding an item in the left hand, and if that item is a block.
`int` | `heldItemRight` Records whether the model should be rendered holding an item in the right hand, and if that item is a block.
`boolean` | `isSneak`

Fields inherited from class net.minecraft.client.model.ModelBase
`boxList, isChild, isRiding, onGround, textureHeight, textureWidth`

Constructor Summary
`ModelBiped()`
`ModelBiped(float par1)`
`ModelBiped(float par1, float par2, int par3, int par4)`

Method Summary
`void` | `render(Entity par1Entity, float par2, float par3, float par4, float par5, float par6, float par7)` Sets the models various rotation angles then renders the model.
`void` | `renderCloak(float par1)` Renders the cloak of the current biped (in most cases, it's a player)
`void` | `renderEars(float par1)` renders the ears (specifically, deadmau5's)
`void` | `setRotationAngles(float par1, float par2, float par3, float par4, float par5, float par6, Entity par7Entity)` Sets the model's various rotation angles.

Methods inherited from class net.minecraft.client.model.ModelBase
`func_85181_a, getTextureOffset, setLivingAnimations`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bipedHead

    public ModelRenderer bipedHead

### bipedHeadwear

    public ModelRenderer bipedHeadwear

### bipedBody

    public ModelRenderer bipedBody

### bipedRightArm

    public ModelRenderer bipedRightArm

### bipedLeftArm

    public ModelRenderer bipedLeftArm

### bipedRightLeg

    public ModelRenderer bipedRightLeg

### bipedLeftLeg

    public ModelRenderer bipedLeftLeg

### bipedEars

    public ModelRenderer bipedEars

### bipedCloak

    public ModelRenderer bipedCloak

### heldItemLeft

    public int heldItemLeft

  Records whether the model should be rendered holding an item in the left hand, and if that item is a block.

### heldItemRight

    public int heldItemRight

  Records whether the model should be rendered holding an item in the right hand, and if that item is a block.

### isSneak

    public boolean isSneak

### aimedBow

    public boolean aimedBow

  Records whether the model should be rendered aiming a bow.

Constructor Detail

### ModelBiped

    public ModelBiped()

### ModelBiped

    public ModelBiped(float par1)

### ModelBiped

    public ModelBiped(float par1,
                      float par2,
                      int par3,
                      int par4)

Method Detail

### render

    public void render(Entity par1Entity,
                       float par2,
                       float par3,
                       float par4,
                       float par5,
                       float par6,
                       float par7)

  Sets the models various rotation angles then renders the model.

  Overrides:
    `render` in class `ModelBase`

### setRotationAngles

    public void setRotationAngles(float par1,
                                  float par2,
                                  float par3,
                                  float par4,
                                  float par5,
                                  float par6,
                                  Entity par7Entity)

  Sets the model's various rotation angles. For bipeds, par1 and par2 are used for animating the movement of arms and legs, where par1 represents the time(so that arms and legs swing back and forth) and par2 represents how "far" arms and legs can swing at most.

  Overrides:
    `setRotationAngles` in class `ModelBase`

### renderEars

    public void renderEars(float par1)

  renders the ears (specifically, deadmau5's)

### renderCloak

    public void renderCloak(float par1)

  Renders the cloak of the current biped (in most cases, it's a player)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD